Skip to content

Get money movement analytics for a specific month

Request

Returns aggregated money in/out data with top sources, top spends, and last 3 months trend

Security
oauth2ClientCredentials(Required scopes: transactions:read)
Query
monthnumberrequired

Month (0-11, where 0 = January, 11 = December)

Example:month=0
yearnumberrequired

Year (4-digit year)

Example:year=2026
currencystringrequired

Currency code (e.g., KES, USD)

Example:currency=KES
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/transactions/money-movement?month=0&year=2026&currency=KES' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Money movement analytics data

Bodyapplication/json
dataobject(MoneyMovementDataDto)required

Money movement analytics data

Response
{ "data": { "moneyIn": {}, "moneyOut": {} } }